Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.ide.repast
Class GenerateRepastHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.amf.gen.ide.ResourceHandler
                  org.eclipse.amp.amf.gen.ide.ResourceJobHandler
                      org.eclipse.amp.amf.ide.repast.GenerateRepastHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class GenerateRepastHandler

extends ResourceJobHandler

Constructor Summary
`GenerateRepastHandler()`

Method Summary
`void` | `execute(org.eclipse.core.resources.IResource resource)` Override with desired execution behavior.

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceJobHandler
`executeHandler`

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceHandler
`execute, execute, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateRepastHandler

    public GenerateRepastHandler()

Method Detail

### execute

    public void execute(org.eclipse.core.resources.IResource resource)
                 throws org.eclipse.core.commands.ExecutionException

  Description copied from class: `ResourceHandler`
  Override with desired execution behavior.

  Overrides:
    `execute` in class `ResourceHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD